############################################################################
# Keith R. Jackson, LBNL
#Copyright (c) 2003, The Regents of the University of California,
#through Lawrence Berkeley National Laboratory 
#(subject to receipt of any required approvals from the U.S. Dept. of Energy). 
#All rights reserved. 
###########################################################################

import ConfigParser, unittest
from pyGlobus.replicaManagement import Session
from pyGlobus import replicaManagementc
from pyGlobus.util import GlobusException

"""
Unittest for the Session module.
"""

config = None # ConfigParser object

class SessionTestCase(unittest.TestCase):
    """
    Test case for the Session class.
    """

    def checkSession(self):
        global config
        print "\nSessionOpenTestCase begin\n"
        if config == None:
            config = ConfigParser.ConfigParser()
            config.read("config.py")
        try:
            s = Session()
            del s
            print "\nSessionOpenTestCase completed\n"
        except GlobusException, ex:
            print "Exception occured during testing."
            assert 0, ex.args
        return

def makeTestSuite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(SessionTestCase, "check"))
    return suite

def main():
    unittest.main(defaultTest="makeTestSuite")


if __name__ == "__main__" : main()
    
                  

