############################################################################
# Matt Rodriguez, LBNL
#Copyright (c) 2003, The Regents of the University of California,
#through Lawrence Berkeley National Laboratory 
#(subject to receipt of any required approvals from the U.S. Dept. of Energy). 
#All rights reserved. 
###########################################################################

from pyGlobus.ftpClientAttr import OperationAttr
from pyGlobus.ftpClientAttr   import HandleAttr
import unittest,ConfigParser, os
from pyGlobus.security import GSSCred

class FtpClientOpAttrTestCase(unittest.TestCase):

    def checkSetAndGetAuth(self):
        opAttr = OperationAttr()
        cred = GSSCred()
        cred.acquire_cred()
        lifetime, name = cred.inquire_cred()
        username = os.getlogin()
        subject = name.display()
        opAttr.set_authorization(cred, username,"","", subject)
        auth = opAttr.get_authorization()
        print auth
        

def makeTestSuite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(FtpClientOpAttrTestCase, "check"))
    return suite

def main():
    unittest.main(defaultTest="makeTestSuite")


if __name__ == "__main__" : main()
   
